summarylogtreecommitdiffstats
path: root/galactrum.install
diff options
context:
space:
mode:
authorMichael Thalmeier2018-01-18 22:26:09 +0100
committerMichael Thalmeier2018-01-18 22:26:09 +0100
commit101c3f36f0dc62f79f279828ba6fb3b901c1e8c4 (patch)
tree633e67e26ccda3145ce9c6760735ebd3de944f23 /galactrum.install
downloadaur-101c3f36f0dc62f79f279828ba6fb3b901c1e8c4.tar.gz
Initial commit with version 1.1.5
Diffstat (limited to 'galactrum.install')
-rw-r--r--galactrum.install43
1 files changed, 43 insertions, 0 deletions
diff --git a/galactrum.install b/galactrum.install
new file mode 100644
index 000000000000..53d5f0c8e77b
--- /dev/null
+++ b/galactrum.install
@@ -0,0 +1,43 @@
+post_upgrade() {
+ msg2 "If you see a 'No block source available' message in the bottom-left corner of the application, close the application, wait 30 seconds, then relaunch it from Terminal with the command `dash-qt -reindex &disown`";
+};
+
+_msg() {
+ _green "==> ";
+ _white "$@";
+ tput sgr 0;
+};
+
+_msg2() {
+ _blue " -> ";
+ _white "$@";
+ tput sgr 0;
+};
+
+_green() {
+ _color "2" "${1}";
+};
+
+_blue() {
+ _color "4" "${1}";
+};
+
+_white() {
+ _color "7";
+ for line; do
+ echo "${line}" ;
+ done ;
+};
+
+_color() {
+ tput bold;
+ tput setaf "${1}";
+
+ if ! [ "${2}" ]; then
+ return;
+ fi;
+
+ printf "%s" "${2}";
+};
+
+# vim: ts=2 sw=2 et: